Endpoints
Send a Message as an AI Agent Output
Sends a message as an AI Agent Output. It bypasses the Flow’s input processing and delivers a message to the user. For example, sending Your order 12345 has shipped as a status update.
POST
/
v2.0
/
endpoint
/
notify
Send a Message as an AI Agent Output
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/endpoint/notify \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"userId": "user@example.com",
"text": "inject text",
"data": {},
"URLToken": "endpoint-url-token",
"attachments": [
{
"name": "<string>",
"url": "<string>",
"caption": "<string>",
"mimeType": "<string>"
}
],
"sessionId": "your-session-id"
}
'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/endpoint/notify"
payload = {
"userId": "user@example.com",
"text": "inject text",
"data": {},
"URLToken": "endpoint-url-token",
"attachments": [
{
"name": "<string>",
"url": "<string>",
"caption": "<string>",
"mimeType": "<string>"
}
],
"sessionId": "your-session-id"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: 'user@example.com',
text: 'inject text',
data: {},
URLToken: 'endpoint-url-token',
attachments: [{name: '<string>', url: '<string>', caption: '<string>', mimeType: '<string>'}],
sessionId: 'your-session-id'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/endpoint/notify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Successfully sent message to user"{
"status": 123,
"code": 123,
"type": "<string>",
"detail": "<string>"
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2
Supply the API Key in the HTTP-Header
Body
application/json
Response
Returns success message.
The response is of type string.
Last modified on July 23, 2026
Previous
Get EndpointsGets Endpoints from a Project. By default, 25 Endpoints are returned. To change this value, use the `limit` query parameter.
Next
⌘I
Send a Message as an AI Agent Output
